# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     zend-db
%define composer_name   zend-db
%define composer_vendor zendframework
%define library         Db

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        2.8.2
Release:        %mkrel 1
Summary:        Zend Framework %{library} component
Group:          Development/PHP
License:        BSD
URL:            https://framework.zend.com/
Source0:        https://github.com/zendframework/zend-db/archive/%{github_name}-release-%{version}.tar.gz
BuildArch:      noarch

# From composer, "require": {
#        "php": "^5.5 || ^7.0",
#        "zendframework/zend-stdlib": "^2.7 || ^3.0"
Requires:       php >= 5.5
Requires:       php-composer(%{composer_vendor}/zend-stdlib)           >= 2.7
# From composer, "suggest": {
#        "zendframework/zend-eventmanager": "Zend\\EventManager component",
#        "zendframework/zend-servicemanager": "Zend\\ServiceManager component"
Suggests:       php-composer(%{composer_vendor}/zend-eventmanager)
Suggests:       php-composer(%{composer_vendor}/zend-hydrator)
Suggests:       php-composer(%{composer_vendor}/zend-servicemanager)
# From phpcompatinfo report for version 2.6.2
Requires:       php-pcre
Requires:       php-pdo

Obsoletes:      php-ZendFramework2-%{library} < 2.5
Provides:       php-ZendFramework2-%{library} = %{version}
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}

%description
Zend\Db is a component that abstract the access to a Database using an object
oriented API to build the queries. Zend\Db consumes different storage adapters
to access different database vendors such as MySQL, PostgreSQL, Oracle,
IBM DB2, Microsoft Sql Server, PDO, etc.

Documentation: https://zendframework.github.io/zend-db


%prep
%setup -q -n %{github_name}-release-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/Zend/
cp -pr src %{buildroot}%{php_libdir}/Zend/%{library}

%files
%doc *.md
%doc composer.json
%{php_libdir}/Zend/%{library}


%changelog
* Wed Apr 19 2017 guillomovitch <guillomovitch> 2.8.2-1.mga6
+ Revision: 1096869
- imported package php-zendframework-zend-db

